<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<nav aria-label="breadcrumb" class="w-100 overflow-hidden">
  <ol class="breadcrumb bg-transparent ps-0">
    <li
      class="breadcrumb-item text-nowrap overflow-hidden text-overflow-ellipsis"
      [ngClass]="{'active': isActive(breadcrumbItem)}"
      *ngFor="let breadcrumbItem of breadcrumbList">
      <a
        *ngIf="!isActive(breadcrumbItem) && breadcrumbItem.routerLink != null"
        [routerLink]="breadcrumbItem.routerLink"
        [innerText]="breadcrumbItem.name"
        [title]="breadcrumbItem.name">
      </a>
      <span
        class="text-primary"
        *ngIf="!isActive(breadcrumbItem) && breadcrumbItem.routerLink == null"
        [innerText]="breadcrumbItem.name">
      </span>
      <a
        *ngIf="isActive(breadcrumbItem)"
        [innerText]="breadcrumbItem.name">
      </a>
    </li>
  </ol>
</nav>
